Unit QTGCR_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure QTGCR(var RINT :Array of Real; H :Real;
                var F :Array of Real; N :Integer);

implementation

procedure QTGCR(var RINT :Array of Real; H :Real;
                var F :Array of Real; N :Integer);
var
N1,I :Integer;
D1,D2 :Real;
label
_1;
begin
N1 := N-1;
RINT[0] := 0.0;
RINT[1] := H*((5.0/12.0)*F[0]+(2.0/3.0)*F[1]-(1.0/12.0)*F[2]);
for I:=3 to N1 do
 begin
  D1 := -H/24.0;
  D2 := -13.0*D1;
  RINT[I-1] := RINT[I-2]+D1*(F[I-3]+F[I+0])+D2*(F[I-2]+F[I-1]);
_1:
 end;
RINT[N-1] := RINT[N-2]+H*((5.0/12.0)*F[N-1]+(2.0/3.0)*F[N-2]-(1.0/
    12.0)*F[N-3]);
end;

end.
